getPeaks {PROcess} | R Documentation

## Peak Detection

### Description

For given threshold criteria, find peaks.

### Usage

    getPeaks(bseoffM, peakinfofile,SoN = 2,span = 81,sm.span=11,
    zerothrsh=2, area.w = 0.003, ratio = 0.2)

### Arguments

`bseoffM` | a matrix holding the baseline-substracted spectra, with row-names as the m/z values and column-names as the spectrum names.
`peakinfofile` | a `.csv' file in the same format as Ciphergen's peak info file, with 5 columns data. More details later.
`SoN` | see isPeak().
`span` | see isPeak().
`sm.span` | see isPeak().
`zerothrsh` | ignore peaks whose intensity values are below zerothrsh.
`area.w` | see isPeak().
`ratio` | see isPeak().

### Details

For given threshold criteria, detect peaks and write the following columns of information into 'peakinfofile', spectrum name (Spectrum.Tag), spectrum sequential number (Spectrum.), peak sequential number within a spectrum (Peak.), relative intensity (Intensity) and the m/z value where the relative intensity occurs (Substance.Mass).

### Author(s)

Xiaochun Li

### See Also

`rmBaseline`

### Examples

    example(renorm)
    peakfile <- paste(tempdir(),"testpeakinfo.csv", sep="/")
    getPeaks(rtM, peakfile)

[Package PROcess version 1.6.3 Index]